<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
        xmlns:xs="http://www.w3.org/2001/XMLSchema"
        xmlns="http://www.w3.org/1999/xhtml"
        xpath-default-namespace="http://www.w3.org/1999/xhtml"
        exclude-result-prefixes="xs"
        version="2.0">

<!-- 
        Extracts the contents of the body of an XHTML document and wraps it in a <div class="body">.
        Used by the html export when embedded=true is specified.        
 -->

<xsl:output method="xhtml" omit-xml-declaration="yes"/>
<xsl:param name="extraclass"/>
        
        
<xsl:template match="/">
        <xsl:choose>
                <xsl:when test="//body">
                        <div class="body {$extraclass}">
                                <xsl:copy-of select="//body/*"/>
                        </div>
                </xsl:when>
                <xsl:otherwise>
                        <xsl:copy-of select="/*"/>
                </xsl:otherwise>
        </xsl:choose>
</xsl:template>
        
</xsl:stylesheet>