<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
        xmlns:xs="http://www.w3.org/2001/XMLSchema"
        xmlns="http://www.w3.org/1999/xhtml"
        xpath-default-namespace="http://www.w3.org/1999/xhtml"
        exclude-result-prefixes="xs"
        version="2.0">

<!-- 
        Extracts the contents of the body of an XHTML document and wraps it in a textgridrep.de frame
 -->

<xsl:output method="xhtml" />
<xsl:param name="repurl">http://textgridrep.de</xsl:param>
<xsl:param name="extraclass"/>

<xsl:template match="/">
<!-- paulirish.com/2008/conditional-stylesheets-vs-css-hacks-answer-neither/ --> 
<!--[if IE 7 ]>    <html lang="en" class="no-js ie7"> <![endif]-->
<!--[if IE 8 ]>    <html lang="en" class="no-js ie8"> <![endif]-->
<!--[if IE 9 ]>    <html lang="en" class="no-js ie9"> <![endif]-->
<!--[if (gt IE 9)|!(IE)]><!--> <html lang="en" class="no-js"> <!--<![endif]-->
<head>
<meta charset="utf-8"/>

<!-- Always force latest IE rendering engine (even in intranet) & Chrome Frame 
      Remove this if you use the .htaccess -->
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"/>

<title>TextGrid Browse</title>
<meta name="description" content=""/>
<meta name="author" content=""/>

<!--  Mobile viewport optimized: j.mp/bplateviewport -->
<meta name="viewport" content="width=device-width, initial-scale=1.0"/>

<!-- Place favicon.ico & apple-touch-icon.png in the root of your domain and delete these references -->
<meta rel="shortcut icon" href="{$repurl}/favicon.ico"/>
<meta rel="apple-touch-icon" href="{$repurl}/apple-touch-icon.png"/>


<!-- CSS : implied media="all" -->
<link rel="stylesheet" href="{$repurl}/css/style.css?v=2"/>
<link rel="stylesheet" href="{$repurl}/css/tg-tei.css"/>

<!-- All JavaScript at the bottom, except for Modernizr which enables HTML5 elements & feature detects -->
<script src="{$repurl}/js/libs/modernizr.custom.28731.js"></script>

</head>
<!-- End of the common head part -->
<body class="browse">
<div id="container">
      <div id="bg-decoration"></div>
  <header>
              <nav class="clearfix" >
              <ul class="clearfix">
          <li><a href="{$repurl}/index.html">Simple Search</a></li>
          <li><a href="{$repurl}/advanced.html">Advanced Search</a></li>
          <li><a href="{$repurl}/repository.html">Repository Content</a></li>
          <li class="active" >Browse</li>
          <li><a href="{$repurl}/basket.html">Basket<span id="basketTray"/></a></li>
          </ul>
      </nav>
  </header>
  <section id="main">
              <header class="clearfix">
      <h1><a href="{$repurl}/"><img id="replogo" src="{$repurl}/images/textgridrep_logo.png" alt="TextGrid Repository" /></a></h1>
      <h2>Browse</h2>
      <!--img id="ajaxLoadIndicator" src="{$repurl}/images/ajax-loader3.gif" style="float:right" /-->
      </header>
      
      <form class="clearfix">
              <!-- <div id="leftcol"> -->
                              <div class="expandable-group">
                                      <h3 id="infoHead">TextGridRep Preview</h3>
                                      <div id="infoBox" class="expandable-content">
                                              <p class="warning">
                                                      This rendering approximates how the document would look like
                                                      when it is published and rendered at <a href="{$repurl}">the
                                                      TextGridRep website</a>. 
                                              </p>
                                              <p>
                                                 This box would contain document metadata and download links, 
                                                 and its heading would render a breadcrumb path to this document.
                                              </p>
                                      </div>
                                      <div id="mdlink"></div>		
                              </div>
              
                      <!--div class="expandable-group">
                                      <h3 id="xsltHead">xslt</h3>
                                      <div id="xsltBox" class="expandable-content"></div>
                              </div-->
              
              <div class="expandable-group">
                      <h3 id="browseHeader">Browsing
                  </h3>
                  <div class="expandable-content" id="browsing-tree teiXsltView">
                          <xsl:call-template name="process-tei"/>
                  </div>
                </div><!-- expandable group -->
                <!--div class="expandable-group">
                      <h3 >Filter
                  </h3>
                  <div class="expandable-content" id="browsing-filters">
                              <ul class="auto-grow-group">
                              <li>
                              <input type="checkbox" name="active[0]" /> 
                              <select name="attribute[0]" size="1">
                                      <option>Year before</option>
                                      <option>Time starts with</option>
                                      <option>Author</option>
                                  </select>
                                  <input type="text" name="name1[0]" />
                              </li>
                          </ul>
                  </div>
                </div>--><!-- expandable group -->
            <!-- </div> --> <!-- leftcol -->
       </form>
    </section>
    
    <footer>

    </footer>
  </div> <!--! end of #container -->

  <!-- Start of common foot part -->
  <!-- Javascript at the bottom for fast page loading -->

  <!-- Grab Google CDN's jQuery. fall back to local if necessary -->
  <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.4.2/jquery.js"></script>
  <script>!window.jQuery &amp;&amp; document.write(unescape('%3Cscript src="js/libs/jquery-1.4.2.js"%3E%3C/script%3E'))</script>
  
  <script src="http://ajax.googleapis.com/ajax/libs/jqueryui/1.8.11/jquery-ui.min.js"></script>
  <script>!jQuery.ui &amp;&amp; document.write(unescape('%3Cscript src="js/libs/jquery-ui.min.js"%3E%3C/script%3E'))</script>
  
  <!-- Only load the datepicker extension if the browser doesn't support this natively -->
  <script>
  yepnope({
	  test : Modernizr.inputtypes.date,
	  nope : [
		  // load scripts to simulate date type
         'js/datepicker.js',
		 'css/smoothness/jquery-ui-1.8.11.custom.min.css'
  	  ]
	});
  </script>
  
  <script src="{$repurl}/js/plugins.min.js"></script>
  <script src="{$repurl}/js/script.js"></script>
  <script src="{$repurl}/js/mylibs/jquery.query-2.1.7.js"></script>
  <script src="{$repurl}/js/mylibs/jquery.dateFormat-1.0.js"></script>
  <script src="{$repurl}/js/mylibs/jquery.flash.min_.js"></script>
  <script src="{$repurl}/js/mylibs/jquery.xmlns.js"></script>
  <script src="{$repurl}/js/mylibs/jquery.highlight-3.js"></script>
     
</body>
</html>
</xsl:template>


<xsl:template name="process-tei">
        <xsl:choose>
                <xsl:when test="//body">
                        <div class="body {$extraclass}">
                                <xsl:copy-of select="//body/*"/>
                        </div>
                </xsl:when>
                <xsl:otherwise>
                        <xsl:copy-of select="/*"/>
                </xsl:otherwise>
        </xsl:choose>
</xsl:template>
        
</xsl:stylesheet>

